# Method: accounts.emailPreferences.updateEmailPreferences

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences/updateEmailPreferences#try-it)

Updates the email preferences for a Merchant Center account user. Advanced account users should specify the advanced account rather than a sub-account of the advanced account.

Preferences which are not explicitly selected in the update mask will not be updated.

It is invalid for updates to specify an UNCONFIRMED opt-in status value.

Use the name=accounts/\*/users/me/emailPreferences alias to update preferences for the authenticated user.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1/{emailPreferences.name=accounts/*/users/*/emailPreferences}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `emailPreferences.name` | `string` Identifier. The name of the EmailPreferences. The endpoint is only supported for the authenticated user. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. List of fields being updated. The following fields are supported (in both `snake_case` and `lowerCamelCase`): - `newsAndTips` |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences#EmailPreferences`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.emailPreferences#EmailPreferences`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).